=== debian/changelog ===
openfetion (2.2.1-3.2ubuntu1) raring; urgency=low

  * Build without libindicate. Needs porting to messaging menu, see
    http://pad.lv/1040259

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 03 Apr 2013 19:36:16 +0100

openfetion (2.2.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update 02-indicate-gtk-0.6.patch for libindicate-gtk-0.7.
    Rename it to 02-indicate-gtk-0.7.patch
    Closes: #673812
  * Tighten libindicate-gtk-dev Build-Dep to >= 0.6.90.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 15 May 2012 17:59:59 +0200

openfetion (2.2.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with new libindicate-gtk.
    Patch: 02-indicate-gtk-0.6.patch
    Closes: #660773

 -- Evgeni Golov <evgeni@debian.org>  Sun, 26 Feb 2012 09:50:33 +0100

openfetion (2.2.1-3) unstable; urgency=low

  * Use my @debian.org address.
  * debian/patches/01-arrow_key_scroll.patch:
    - Fix scrolling using arrow keys.

 -- Aron Xu <aron@debian.org>  Fri, 18 Nov 2011 23:07:59 +0800

openfetion (2.2.1-2) unstable; urgency=low

  * debian/control:
  - Make libnm-glib-dev [linux-any], as it is not present on other
    architectures.
  - Remove non-existing libnotify4-dev from build-dep (Closes: #627591).

 -- Aron Xu <happyaron.xu@gmail.com>  Sun, 22 May 2011 20:00:40 +0800

openfetion (2.2.1-1) unstable; urgency=low

  * New upstream release, now libofetion is provided by another
    source tarball.
  * debian/control:
    - Improved descriptions.
    - Change build-dep accordingly to enable indicator support.
    - Bump std-ver to 3.9.2.
  * debian/rules:
    + Make it generate an indicator file.

 -- Aron Xu <happyaron.xu@gmail.com>  Tue, 17 May 2011 00:15:02 +0800

openfetion (2.1.0-0lucid3) lucid; urgency=low

  * New upstream release, split libofetion to another tarball.

 -- Aron Xu <happyaron.xu@gmail.com>  Sun, 26 Dec 2010 14:27:45 +0800
