=== debian/control ===
Source: openfetion
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <aron@debian.org>
Uploaders: Anthony Fok <foka@debian.org>, Asias He <asias.hejun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-config, libofetion-dev (>= 2.2.0), libgtk2.0-dev, libnotify-dev, libgstreamer0.10-dev, libxss-dev, libnm-glib-dev [linux-any], intltool (>= 0.40.0), gettext, libssl-dev, libxml2-dev, libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ofetion/

Package: openfetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libofetion1
Description: open source client implementation of Fetion protocol
 Fetion is an IM provided by China Mobile, with features like, text chat, 
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports core features including Internet SMS service, and
 partial support of group chat.
