=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh  $@ 

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/openfetion/usr/share/indicators/messages/applications
	echo "/usr/share/applications/openfetion.desktop" > \
	    $(CURDIR)/debian/openfetion/usr/share/indicators/messages/applications/openfetion
