=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/openfetion-(\d+.*)\.tar\.gz
